## gearmand 1.1.17

=== debian/changelog ===
gearmand (1.1.17-2) unstable; urgency=medium

  [ Ondřej Surý ]
  * Make d/rules much simpler
  * Make the dh-systemd mandatory
  * Update gbp.conf sections
  * Disable tests as they are broken

  [ Alexandre Mestiashvili ]
  * Update d/rules - exclude doc sources from -doc package
  * Upload to unstable (Closes: #853414, #859773)

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Fri, 25 Aug 2017 17:01:54 +0200

gearmand (1.1.17-1) experimental; urgency=medium

  * New upstream version 1.1.17
  * Bump Standards-Version to 4.0.0
  * Remove doc_license.patch, applied by upstream
  * Remove upstart service
  * Update d/copyright file
  * Remove trailing spaces in d/changelog

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 10 Aug 2017 18:07:47 +0200

gearmand (1.1.15-1) experimental; urgency=medium

  [ Ondřej Surý ]
  * New upstream version 1.1.11
  * New upstream version 1.1.12
  * Add hiredis and gperf to B-D
  * SOVERSION bump libgearman7 -> libgearman8
  * Add branch for 1.11.x release
  * Always rebuild the documentation
  * Add sphinx-build dependencies
  * Add autotools-dev to B-D
  * Add M-A support to ax_boost_program_options.m4
  * Move sphinx-build to B-D (arch)
  * Imported Upstream version 1.1.12-32-g4761b20
  * Add missing rules.dh7 header to have DEB_* variables defined
  * Imported Upstream version 1.1.13
  * Parse upstream version from debian changelog and not from git
  * Update libgearman8.symbols with c++filt and bump version to 1.1.13
  * Use untranslated symbol as the c++filt translation breaks the build
  * Add myself to Uploaders

  [ Steffen Moeller ]
  * Preparing for repated builds by better clean

  [ Alexandre Mestiashvili ]
  * Remove XS-Testsuite: autopkgtest from d/control
  * Update d/copyright
  * Remove d/source/git-patches
  * Update d/watch file to use github repository instead of obsoleted launchpad
  * Add symbolsfile d/libgearman8.symbols
  * Use dh_sphinxdoc to provide symlinks to java script libraries
  * Fix systemd service, read parameters from defaults file (Closes: 759584)
  * Quote $PARAMS in init script, thanks to Michael Kröll
  * Add Documentation key to the service file
  * Add copytruncate option to logrotate file, Closes: #744022
  * Update init script
  * Disable vcs detection
  * Apply the patch from #790380 making the build reproducible
  * Apply patch provided by Chris Lamb, Closes: #831771
  * Remove libcloog-ppl-dev from Build-Depends
  * Update d/control: s/libmysqlclient-dev/default-libmysqlclient-dev/g
  * New upstream version 1.1.14
  * New upstream version 1.1.15
  * Drop d/docs due to the upstream changes
  * Cleanup debian dir after merging with master-1.11
  * Update branches in d/gbp.conf
  * Add patch updating license for docs
  * Update d/rules: do not install _sources dir with html docs
  * Add patch fixing a couple of typos in the docs
  * Add doc-base registration for libgearman-doc package

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 13 Apr 2017 14:19:23 +0200

gearmand (1.0.6-9) unstable; urgency=medium

  * Update d/control:
    - use default-libmysqlclient-dev in Build-Depends: Closes: #845843
    - add lsb-base to gearman-job-server dependencies
  * Update syntax_corrections.patch

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Mon, 28 Nov 2016 18:02:47 +0100

gearmand (1.0.6-8) unstable; urgency=medium

  * Apply patch provided by Chris Lamb, Closes: #831771
  * Apply cme fix dpkg
  * Do not install usr/share/doc/libgearman-doc/libgearman and thus
    no need to override dh_installexamples
  * Update patch correcting syntax errors
  * Remove libcloog-ppl-dev from Build-Depends

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 21 Jul 2016 16:53:53 +0200

gearmand (1.0.6-7) unstable; urgency=medium

  * Forward patch correcting typos to upstream
  * Ensure proper upgrade from -dbg to new dbgsym packages by using
    dh_strip --dbgsym-migration
  * Update License for debian/* to GPL-3.0+
  * Apply patch from #790380 making the build reproducible. (Closes: #790380)

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Mon, 09 May 2016 11:42:27 +0200

gearmand (1.0.6-6) unstable; urgency=medium

  * New maintainer. Many thanks to Stig Sandbeck Mathisen for all his work.
  * Fixed systemd service, read parameters from defaults file (Closes: 759584)
  * Updated d/copyright
    - added myself to debian/* stanza
    - add BSD-3-clause text
  * Quote $PARAMS in the init script, thanks to Michael Kröll (LP: #1067316)
  * Enabled hardening flags
  * Updated patch header for d/patches/gcc5.diff
  * Added patch to correct for typos detected by lintian
  * Drop of -dbg packages
  * Added documentation key to the service file
  * Added symbols file for libgearman7
  * Added copytruncate option to logrotate file (Closes: #744022)

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 07 Apr 2016 16:22:59 +0200

gearmand (1.0.6-5.1) unstable; urgency=medium

  * Fix build with GCC 5, calling cpp with -P. Closes: #777869.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Jul 2015 12:44:56 +0200

gearmand (1.0.6-5) unstable; urgency=medium

  * [db0b16d] Add patch to fix endless loop on bad http request.
    Thanks to Alexei Pastuchov (Closes: #774143)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 06 Jan 2015 09:47:37 +0100

gearmand (1.0.6-4) unstable; urgency=medium

  * Change url for uscan to use launchpad.net
  * autopkgtest: Add path to /usr/sbin/service.
    Thanks to Lucas Kanashiro (Closes: #754305)
  * Enable verbose build log
  * Declare compliance with Debian Policy version 3.9.5
  * Remove unnecessary versioned build dependencies

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 23 Jul 2014 11:12:03 +0200

=== debian/control ===
Source: gearmand
Maintainer: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
Uploaders: Clint Byrum <spamaps@debian.org>,
           Ondřej Surý <ondrej@debian.org>
Section: misc
Priority: extra
Build-Depends: autoconf,
               automake,
               autotools-dev,
               chrpath,
               debhelper (>= 9),
               default-libmysqlclient-dev,
               dh-autoreconf,
               dh-systemd,
               gperf,
               lcov,
               libboost-program-options-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libcurl4-gnutls-dev,
               libevent-dev,
               libhiredis-dev,
               libltdl-dev,
               libmemcached-dev,
               libpq-dev,
               libsasl2-dev,
               libsqlite3-dev,
               libtool,
               memcached,
               pandora-build,
               pkg-config,
               procps,
               python-sphinx,
               systemtap-sdt-dev [amd64 armel armhf i386 ia64 powerpc s390],
               uuid-dev
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gearmand.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/gearmand.git
Homepage: http://launchpad.net/gearmand

Package: libgearman8
Architecture: any
Multi-Arch: same
Priority: optional
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library providing Gearman client and worker functions
 Gearman is a system to farm out work to other machines, dispatching function
 calls to machines that are better suited to do work, to do work in parallel,
 to load balance lots of function calls, or to call functions between languages.
 .
 This package contains the C reimplementation of the client library.

Package: libgearman-dev
Architecture: any
Section: libdevel
Depends: libevent-dev,
         libgearman8 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Development files for the Gearman Library
 Gearman is a system to farm out work to other machines, dispatching function
 calls to machines that are better suited to do work, to do work in parallel,
 to load balance lots of function calls, or to call functions between languages.
 .
 This package contains the development headers for the libgearman library.

Package: libgearman-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: API Documentation for the Gearman Library
 Gearman is a system to farm out work to other machines, dispatching function
 calls to machines that are better suited to do work, to do work in parallel,
 to load balance lots of function calls, or to call functions between languages.
 .
 This package contains the API docs for the libgearman library.

Package: gearman-job-server
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lsb-base
Recommends: memcached
Pre-Depends: adduser
Description: Job server for the Gearman distributed job queue
 Gearman is a system to farm out work to other machines, dispatching function
 calls to machines that are better suited to do work, to do work in parallel,
 to load balance lots of function calls, or to call functions between languages.
 .
 This package contains the C reimplementation of the job server daemon

Package: gearman-tools
Architecture: any
Depends: libgearman8 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Tools for the Gearman distributed job queue
 Gearman is a system to farm out work to other machines, dispatching function
 calls to machines that are better suited to do work, to do work in parallel,
 to load balance lots of function calls, or to call functions between languages.
 .
 This package contains some command line tools for manipulating gearman jobs.

Package: gearman
Architecture: all
Depends: gearman-job-server,
         gearman-tools,
         ${misc:Depends}
Description: Distributed job queue
 Gearman is a system to farm out work to other machines, dispatching function
 calls to machines that are better suited to do work, to do work in parallel,
 to load balance lots of function calls, or to call functions between languages.
 .
 This package is an empty package that depends on both the client and the
 server.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ \
		--parallel --with autoreconf,sphinxdoc,autotools-dev,systemd \
		--dbgsym-migration='libgearman8-dbg (<< 1.0.6-6~), libgearman-dbg (<< 1.0.6-6~)' \
		--fail-missing -X.la

override_dh_auto_configure:
	dh_auto_configure -- --enable-jobserver=no --disable-silent-rules

override_dh_auto_install:
	chrpath -d bin/gearadmin gearmand/gearmand
	dh_auto_install

override_dh_sphinxdoc:
	dh_sphinxdoc
	rm -rf debian/libgearman-doc/usr/share/doc/libgearman-doc/html/_sources

# The tests are still broken
override_dh_auto_test:

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/gearmand-$1\.tar\.gz/,dversionmangle=s/\+dfsg(\.\d+)?$//,repack \
  https://github.com/gearman/gearmand/tags .*/v?(\d\S*)\.tar\.gz

## gearmand 1.1.18+ds

=== debian/changelog ===
gearmand (1.1.18+ds-3) unstable; urgency=medium

  * Add "sharness" to debian/tests/control, really fixing #906629
  * Fix autopkgtests

 -- Alexandre Mestiashvili <mestia@debian.org>  Thu, 23 Aug 2018 15:21:58 +0000

gearmand (1.1.18+ds-2) unstable; urgency=medium

  * Update Vcs-* to point to salsa.debian.org
  * Bump Standards-Version to 4.2.0, update maintainer's email
  * Drop embedded copy of sharness recently added do Debian, update tests
    Closes: #906629
  * Drop Priority field from libgearman8
  * Update CC-BY-SA-4.0 license text, update email address

 -- Alexandre Mestiashvili <mestia@debian.org>  Thu, 23 Aug 2018 14:41:48 +0200

gearmand (1.1.18+ds-1) unstable; urgency=medium

  * Update d/gearman-job-server.service, use Type=forking, fix pid file location
  * Remove $PARAMS quoting from in the init file, undo wrong changes from
    Ubuntu bug #1067316. options with spaces need to be quoted separately
  * Move parameters from init script to the defaults file, this way systemd and
    init script start gearmand with the same options
  * Fix broken link to documentation in the defaults file
  * Update d/control, bump Standards-Version to 4.1.2
  * Cleanup source tarball by adding Files-Exlcluded stanza to d/copyright
  * Update d/watch, add +ds suffix to the package as we remove some cruft
  * New upstream version 1.1.18+ds
  * Remove pandora-build from Build-Depends, Closes: #799072
  * Update logrotate script, send HUP to gearmand in postrotate, Closes: #820889
  * Update d/rules, remove autotools-dev from dh call
  * Remove obsoleted dh-systemd, use debhelper (>= 9.20160709) instead

 -- Alexandre Mestiashvili <alex@biotec.tu-dresden.de>  Thu, 21 Dec 2017 14:15:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: gearmand
-Maintainer: Alexandre Mestiashvili <alex@biotec.tu-dresden.de>
-Uploaders: Clint Byrum <spamaps@debian.org>,
-           Ondřej Surý <ondrej@debian.org>
+Maintainer: Alexandre Mestiashvili <mestia@debian.org>
+Uploaders: Clint Byrum <spamaps@debian.org>, Ondřej Surý <ondrej@debian.org>
 Section: misc
-Priority: extra
+Priority: optional
 Build-Depends: autoconf,
                automake,
                autotools-dev,
                chrpath,
-               debhelper (>= 9),
+               debhelper (>= 9.20160709),
                default-libmysqlclient-dev,
                dh-autoreconf,
-               dh-systemd,
                gperf,
                lcov,
                libboost-program-options-dev,
@@ -27,23 +25,21 @@
                libsqlite3-dev,
                libtool,
                memcached,
-               pandora-build,
                pkg-config,
                procps,
                python-sphinx,
+               sharness,
                systemtap-sdt-dev [amd64 armel armhf i386 ia64 powerpc s390],
                uuid-dev
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gearmand.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/gearmand.git
+Standards-Version: 4.2.0
+Vcs-Browser: https://salsa.debian.org/debian/gearmand
+Vcs-Git: https://salsa.debian.org/debian/gearmand.git
 Homepage: http://launchpad.net/gearmand
 
 Package: libgearman8
 Architecture: any
 Multi-Arch: same
-Priority: optional
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Library providing Gearman client and worker functions
  Gearman is a system to farm out work to other machines, dispatching function
@@ -79,9 +75,7 @@
 
 Package: gearman-job-server
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         lsb-base
+Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
 Recommends: memcached
 Pre-Depends: adduser
 Description: Job server for the Gearman distributed job queue
@@ -93,9 +87,7 @@
 
 Package: gearman-tools
 Architecture: any
-Depends: libgearman8 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: libgearman8 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Tools for the Gearman distributed job queue
  Gearman is a system to farm out work to other machines, dispatching function
  calls to machines that are better suited to do work, to do work in parallel,
@@ -105,9 +97,7 @@
 
 Package: gearman
 Architecture: all
-Depends: gearman-job-server,
-         gearman-tools,
-         ${misc:Depends}
+Depends: gearman-job-server, gearman-tools, ${misc:Depends}
 Description: Distributed job queue
  Gearman is a system to farm out work to other machines, dispatching function
  calls to machines that are better suited to do work, to do work in parallel,

=== debian/tests/control ===
Tests: run-tests
Restrictions: needs-root allow-stderr
Depends: @,perl,procps,sharness,gearman-job-server,gearman-tools

## gearmand 1.1.19.1+ds

=== debian/changelog ===
gearmand (1.1.19.1+ds-2build2) kinetic; urgency=medium

  * No-change rebuild against libevent-2.1-7a (LP: #1990941)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 07 Oct 2022 19:43:59 +0200

gearmand (1.1.19.1+ds-2build1) hirsute; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Dec 2020 13:06:36 +0100

gearmand (1.1.19.1+ds-2) unstable; urgency=medium

  * Update d/libgearman8.symbols, fix typo in the version

 -- Alexandre Mestiashvili <mestia@debian.org>  Sun, 29 Mar 2020 14:53:17 +0200

gearmand (1.1.19.1+ds-1) unstable; urgency=medium

  * New upstream version 1.1.19.1+ds
  * Fix syntax for Restrictions field for tests control file
  * Update d/tests/run-tests, use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control:
    - Remove dh-autreconf and autotools-dev
    - Bump policy to 4.5.0, debhelper to debhelper-compat (=10)
    - Use python3-sphinx instead of python-sphinx
    - Add ${sphinxdoc:Depends} to libgearman-doc
  * Update symbols file
  * d/rules, remove --parallel and autoreconf
  * Remove absent ac_cxx_compile_stdcxx_0x.m4 from d/copiright

 -- Alexandre Mestiashvili <mestia@debian.org>  Wed, 25 Mar 2020 23:52:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: gearmand
-Maintainer: Alexandre Mestiashvili <mestia@debian.org>
-Uploaders: Clint Byrum <spamaps@debian.org>, Ondřej Surý <ondrej@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alexandre Mestiashvili <mestia@debian.org>
+Uploaders: Clint Byrum <spamaps@debian.org>,
+           Ondřej Surý <ondrej@debian.org>
 Section: misc
 Priority: optional
 Build-Depends: autoconf,
                automake,
-               autotools-dev,
                chrpath,
-               debhelper (>= 9.20160709),
+               debhelper-compat (= 10),
                default-libmysqlclient-dev,
-               dh-autoreconf,
                gperf,
                lcov,
                libboost-program-options-dev,
@@ -27,11 +27,11 @@
                memcached,
                pkg-config,
                procps,
-               python-sphinx,
+               python3-sphinx,
                sharness,
                systemtap-sdt-dev [amd64 armel armhf i386 ia64 powerpc s390],
                uuid-dev
-Standards-Version: 4.2.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/gearmand
 Vcs-Git: https://salsa.debian.org/debian/gearmand.git
 Homepage: http://launchpad.net/gearmand
@@ -39,7 +39,8 @@
 Package: libgearman8
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: Library providing Gearman client and worker functions
  Gearman is a system to farm out work to other machines, dispatching function
@@ -65,7 +66,8 @@
 Package: libgearman-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends}
 Description: API Documentation for the Gearman Library
  Gearman is a system to farm out work to other machines, dispatching function
  calls to machines that are better suited to do work, to do work in parallel,
@@ -75,7 +77,9 @@
 
 Package: gearman-job-server
 Architecture: any
-Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
+Depends: lsb-base,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: memcached
 Pre-Depends: adduser
 Description: Job server for the Gearman distributed job queue
@@ -87,7 +91,9 @@
 
 Package: gearman-tools
 Architecture: any
-Depends: libgearman8 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libgearman8 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Tools for the Gearman distributed job queue
  Gearman is a system to farm out work to other machines, dispatching function
  calls to machines that are better suited to do work, to do work in parallel,
@@ -97,7 +103,9 @@
 
 Package: gearman
 Architecture: all
-Depends: gearman-job-server, gearman-tools, ${misc:Depends}
+Depends: gearman-job-server,
+         gearman-tools,
+         ${misc:Depends}
 Description: Distributed job queue
  Gearman is a system to farm out work to other machines, dispatching function
  calls to machines that are better suited to do work, to do work in parallel,

## gearmand 1.1.20%2Bds

=== debian/tests/control ===
Tests: run-tests
Restrictions: needs-root, allow-stderr
Depends: @,perl,procps,sharness,gearman-job-server,gearman-tools

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/.+\/v?(\d\S*)@ARCHIVE_EXT@/gearmand-$1\.tar\.gz/,\
dversionmangle=s/\+ds(\.\d+)?$//,repacksuffix=+ds,repack,compression=xz \
  https://github.com/gearman/gearmand/tags .*/v?(\d\S*)\.tar\.gz

## gearmand 1.1.20+ds

=== debian/changelog ===
gearmand (1.1.20+ds-1) unstable; urgency=medium

  [ Jenkins ]
  * Apply multi-arch hints. + libgearman-doc: Add Multi-Arch: foreign.

  [ Alexandre Mestiashvili ]
  * d/copyright, exclude docker and .github dirs via Files-Excluded
  * New upstream version 1.1.20+ds
  * d/NEWS, remove
  * Remove trailing white spaces from d/README.Maintainer
  * d/p/typos.patch, add one more typo
  * d/libgearman8.symbols, introduce Build-Depends-Package
    meta-information field
  * d/gearman-job-server.postrm, use --remove-home option,
    Closes: #1001958
  * d/libgearman8.install, use relative path
  * d/libgearman-doc.examples, update examples location
  * d/rules cleanup:
    - remove systemd, since it is handled by default with dh-compat 10
    - remove --dbgsym-migration from dh call
    - move --missing-fail to a separate override stanza
  * d/control:
    - substitute lsb-base with sysvinit-utils
    - Policy: 4.6.1
    - debhelper-compat 10

 -- Alexandre Mestiashvili <mestia@debian.org>  Sat, 11 Mar 2023 16:29:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gearmand
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alexandre Mestiashvili <mestia@debian.org>
+Maintainer: Alexandre Mestiashvili <mestia@debian.org>
 Uploaders: Clint Byrum <spamaps@debian.org>,
            Ondřej Surý <ondrej@debian.org>
 Section: misc
@@ -31,7 +30,7 @@
                sharness,
                systemtap-sdt-dev [amd64 armel armhf i386 ia64 powerpc s390],
                uuid-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/gearmand
 Vcs-Git: https://salsa.debian.org/debian/gearmand.git
 Homepage: http://launchpad.net/gearmand
@@ -65,6 +64,7 @@
 
 Package: libgearman-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
@@ -77,8 +77,7 @@
 
 Package: gearman-job-server
 Architecture: any
-Depends: lsb-base,
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${shlibs:Depends}
 Recommends: memcached
 Pre-Depends: adduser

=== debian/rules ===
--- 
+++ 
@@ -17,10 +17,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh $@ \
-		--parallel --with autoreconf,sphinxdoc,autotools-dev,systemd \
-		--dbgsym-migration='libgearman8-dbg (<< 1.0.6-6~), libgearman-dbg (<< 1.0.6-6~)' \
-		--fail-missing -X.la
+	dh $@  --with sphinxdoc
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-jobserver=no --disable-silent-rules
@@ -33,5 +30,8 @@
 	dh_sphinxdoc
 	rm -rf debian/libgearman-doc/usr/share/doc/libgearman-doc/html/_sources
 
+override_dh_missing:
+	dh_missing --fail-missing -X.la
+
 # The tests are still broken
 override_dh_auto_test:

## gearmand 1.1.21%2Bds

=== debian/changelog ===
gearmand (1.1.21+ds-1ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Tue, 03 Feb 2026 22:34:48 +0100

gearmand (1.1.21+ds-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/rules: Fix FTBFS by disabling link time optimization

 -- Bryan Alexander <bryan.alexander@canonical.com>  Wed, 30 Jul 2025 23:17:26 -0700

gearmand (1.1.21+ds-1) unstable; urgency=medium

  * New upstream version 1.1.21+ds

 -- Ondřej Surý <ondrej@debian.org>  Sat, 19 Apr 2025 11:53:40 +0200

gearmand (1.1.20+ds-1.2ubuntu4) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:04:53 +0200

gearmand (1.1.20+ds-1.2ubuntu3) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:04:12 +0200

gearmand (1.1.20+ds-1.2ubuntu2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 16:54:28 +0200

gearmand (1.1.20+ds-1.2ubuntu1) plucky; urgency=medium

  * d/rules: Fix FTBFS by disabling link time optimization

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 19 Mar 2025 16:43:25 -0400

gearmand (1.1.20+ds-1.2build5) plucky; urgency=medium

  * No-change rebuild against mysql-8.4 and libmysqlclient24 (LP: #2089059)

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 05 Feb 2025 15:46:11 -0500

gearmand (1.1.20+ds-1.2build4) noble; urgency=medium

  * No-change rebuild against libmemcached11t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 14 Apr 2024 22:53:01 +0100

gearmand (1.1.20+ds-1.2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:04:33 +0000

gearmand (1.1.20+ds-1.2build2) noble; urgency=medium

  * No-change rebuild against libevent-2.1-7t64

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 29 Mar 2024 17:21:13 +0100

gearmand (1.1.20+ds-1.2build1) noble; urgency=high

  * No change rebuild against libmemcached11t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:20:38 +0100

gearmand (1.1.20+ds-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062054

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 09:09:10 +0000

gearmand (1.1.20+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Install systemd units only once (Closes: #1054482)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 30 Oct 2023 18:00:00 +0100

## gearmand 1.1.21+ds

=== docs/Makefile ===
# Makefile for Sphinx documentation

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Custom rules used by top level make
MANGOAL:= $(BUILDDIR)/man/.dirstamp
HTMLGOAL:= $(BUILDDIR)/html/.dirstamp

.PHONY: all distclean distcheck maintainer-clean check test
all: $(MANGOAL) $(HTMLGOAL)

maintainer-clean distclean: clean

distcheck check distdir:

RST_FILES= $(shell find source -type f -name '*.rst')

.DEFAULT_GOAL:= all

.NOTPARALLEL:

SOURCES=
SOURCES+= $(RST_FILES)
SOURCES+= source/conf.py
SOURCES+= Makefile

$(MANGOAL): $(SOURCES)
	@$(MAKE) $(AM_MAKEFLAGS) man
	@touch $@

$(HTMLGOAL): $(SOURCES)
	@$(MAKE) $(AM_MAKEFLAGS) html
	@touch $@ 

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

install:
	@echo

clean:
	@$(RM) -r $(BUILDDIR)/*

html: $(SOURCES)
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/gearmand.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/gearmand.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/gearmand"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/gearmand"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man: $(SOURCES)
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	@$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: gearmand
-Maintainer: Alexandre Mestiashvili <mestia@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alexandre Mestiashvili <mestia@debian.org>
 Uploaders: Clint Byrum <spamaps@debian.org>,
            Ondřej Surý <ondrej@debian.org>
 Section: misc
 Priority: optional
-Build-Depends: autoconf,
+Build-Depends: dpkg-dev (>= 1.22.5), autoconf,
                automake,
                chrpath,
                debhelper-compat (= 10),
@@ -35,7 +36,10 @@
 Vcs-Git: https://salsa.debian.org/debian/gearmand.git
 Homepage: http://launchpad.net/gearmand
 
-Package: libgearman8
+Package: libgearman8t64
+Provides: ${t64:Provides}
+Replaces: libgearman8
+Breaks: libgearman8 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -52,7 +56,7 @@
 Architecture: any
 Section: libdevel
 Depends: libevent-dev,
-         libgearman8 (= ${binary:Version}),
+         libgearman8t64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Development files for the Gearman Library
@@ -90,7 +94,7 @@
 
 Package: gearman-tools
 Architecture: any
-Depends: libgearman8 (= ${binary:Version}),
+Depends: libgearman8t64 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Tools for the Gearman distributed job queue

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # package maintainers to append CFLAGS
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # package maintainers to append LDFLAGS
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -fno-lto
 
 %:
 	dh $@  --with sphinxdoc
